List Templates
List Templates available to the organisation.
Authorization
bearerAuth In: header
Query Parameters
Unique identifier for the resource.
uuidFilters by any of the supplied id values.
items <= 10Stable key used to identify the resource.
Filters by any of the supplied key values.
Type of the resource.
Filters by any of the supplied type values.
Filters resources by type using the not_in operator.
Filters resources by language.
Filters by any of the supplied language values.
Filters resources by archived.
Only returns resources whose updated at is at or after this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose updated at is at or before this timestamp (inclusive). See Filtering for timestamp precision.
date-timeMaximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthAdditional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/templates"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "key": "string", "language": "string", "type": "authentication", "request_approvals": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "published_version": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc", "version": 9007199254740991, "published": true, "settings": { "postal": { "duplex": true } }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "approvals": [ { "template_version_id": "0ba39c92-1f1b-4c32-aa3e-9925d7713eb1", "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44", "status": "approved", "category": "string" } ] } } ], "next_page_url": "string", "previous_page_url": "string"}